module Admin
class CandidatesController < ApplicationController
	before_action :authenticate_user!

	def index
		@positions = Position.all
		render "admin/candidates/index.html.erb"
	end
	def new
		@candidate = Candidate.new
  		render "admin/candidates/new.html.erb"
	end
	def create
		@candidate = Candidate.new(candidate_params())

      if @candidate.save
        redirect_to admin_candidate_path(@candidate.id)
      else
        render "admin/candidates/new.html.erb"
      end
	end
  def edit
        @candidate = Candidate.find(params[:id])
        render "admin/candidates/edit.html.erb"
  end
  def update
  	@candidate = Candidate.find(params[:id])

      if @candidate.update(candidate_params())
        redirect_to admin_candidate_path(@candidate.id)
      else
        render "admin/candidate/edit.html.erb"
      end
    end
  def show
  	@candidate = Candidate.find(params[:id])
    @party_list = PartyList.where(candidate_id: (@candidate.id))
   	@votes = Vote.where(candidate_id: (@candidate.id))
  	@votes_male = Array.new
  	@votes_female = Array.new
  	@votes.each do |vote|
        if vote.user.gender == "Male"
       	@votes_male.push(vote)
        else
    		@votes_female.push(vote)
   	  	end
    	end
      if @votes.size == 0 
        @percent_male = 0
        @percent_female = 0
    else
      @percent_male = @votes_male.size*100/@votes.size
      @percent_female = @votes_female.size*100/@votes.size
    end
  end
  def destroy
    @candidate = Candidate.find(params[:id])
  	@votes = Vote.where(candidate_id: (@candidate.id))
  	@votes.destroy_all
   	@candidate.destroy
    redirect_to admin_candidates_path
  end
  def candidate_params
    params.require(:candidate).permit!
  end
end
end