class VotesController < ApplicationController
  before_action :authenticate_user!
   def index
    @candidates_by_position = Candidate.all.group_by(&:position_id)
    @votes = Vote.all
  end

  def new
    if Vote.exists?(user: current_user)
      redirect_to root_path, alert: "You have already voted."
    else
      @user = current_user
      @user.votes.build
      @positions = Position.all
    end
  end

  def checkout
    if current_user.update(vote_params())
      redirect_to root_path
    else
      @user = current_user
      @positions = Position.all  
      redirect_to votes_new_path, alert: "Please accomplish all required fields."  
    end
  end

  def profile
    @positions = Position.all
    @candidates = Candidate.all
    @user = current_user
    @votes = current_user.votes
    render "votes/user_profile.html.erb"
  end

  private
    def vote_params
      params.require(:user).permit!
    end

end